pkgsrc-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[pkgsrc/trunk]: pkgsrc/mk/bulk Export the BULK_BUILD_CONF variable so that su...



details:   https://anonhg.NetBSD.org/pkgsrc/rev/b40f02440ea6
branches:  trunk
changeset: 502493:b40f02440ea6
user:      rillig <rillig%pkgsrc.org@localhost>
date:      Sat Nov 05 08:34:10 2005 +0000

description:
Export the BULK_BUILD_CONF variable so that subprocesses can see it. Rewrote
the code a little.

diffstat:

 mk/bulk/build |  22 ++++++++++++----------
 1 files changed, 12 insertions(+), 10 deletions(-)

diffs (38 lines):

diff -r 69574a6fe0a6 -r b40f02440ea6 mk/bulk/build
--- a/mk/bulk/build     Sat Nov 05 06:19:57 2005 +0000
+++ b/mk/bulk/build     Sat Nov 05 08:34:10 2005 +0000
@@ -1,5 +1,5 @@
 #!/bin/sh
-# $NetBSD: build,v 1.59 2005/11/05 02:20:52 rillig Exp $
+# $NetBSD: build,v 1.60 2005/11/05 08:34:10 rillig Exp $
 
 #
 # Copyright (c) 1999, 2000 Hubert Feyrer <hubertf%NetBSD.org@localhost>
@@ -152,16 +152,18 @@
 echo ""
 
 # Pull in ADMIN etc.:
-if [ -f "$BULK_BUILD_CONF" ]; then
-    . $BULK_BUILD_CONF
+: ${BULK_BUILD_CONF:=`dirname $0`/build.conf}
+case $BULK_BUILD_CONF in
+/*) ;;
+*)     BULK_BUILD_CONF="`pwd`/${BULK_BUILD_CONF}"
+esac
+export BULK_BUILD_CONF
+
+if [ -f "${BULK_BUILD_CONF}" ]; then
+       . "${BULK_BUILD_CONF}"
 else
-       conf=`dirname $0`/build.conf
-       if [ -f "$conf" ]; then
-               . $conf
-       else
-               echo "$0: Cannot find config file $conf, aborting."
-               exit 1
-       fi
+       echo "$0: Cannot find config file ${BULK_BUILD_CONF}, aborting." 1>&2
+       exit 1
 fi
 
 # set up variables specifically for the bulk build



Home | Main Index | Thread Index | Old Index